%global minor_version 1.0

Name:           xfce4-battery-plugin
Version:        1.0.0
Release:        2%{?dist}
Summary:        Battery monitor for the Xfce panel

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:        http://archive.xfce.org/src/panel-plugins/%{name}/%{minor_version}/%{name}-%{version}.tar.bz2
# needed for xfce4-panel >= 4.7.7
Patch4:         xfce4-battery-plugin-0.5.1-xfce4-panel-4.7.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  xfce4-panel-devel >= 4.3.90.2
BuildRequires:  libxfcegui4-devel >= 4.3.90.2
BuildRequires:  libxml2-devel
BuildRequires:  gettext, intltool
Requires:       xfce4-panel >= 4.4.0

%description
A battery monitor plugin for the Xfce panel, compatible with APM and ACPI.


%prep
%setup -q
%if 0%{?fedora} >= 15
%patch4 -p1 -b .xfce4-panel-4.7
%endif


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
%find_lang %{name}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.LIB ChangeLog README
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel/plugins/*.desktop
%{_datadir}/icons/hicolor/*/*/*


%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 03 2011 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.0-1
- Update to 1.0.0
- Patch for xfce4-panel >= 4.7.7

* Sat Dec 18 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.1-6
- Rebuild for xfce4-panel 4.7

* Sat Dec 18 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.1-5
- Use sysfs instead of procfs (bugzilla.xfce.org #3793)
- Correctly handle case when no battery is present (bugzilla.xfce.org #3546)
- Update translations from Xfce Transifex
- Use parallel make
- Fix Source0 URL
- Update icon-cache scriptlets

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.1-2
- Rebuild for Xfce 4.6 (Beta 3)

* Fri Sep 05 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.1-1
- Update to 0.5.1
- Remove acpi.patch (included upstream)
- Remove lower-acpi-polling.patch (upstream use different values)

* Sat Apr 05 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.0-4
- Fix for kernel 2.6.24  (bugzilla.xfce.org #3938)
- Lower acpi polling. (bugzilla.xfce.org #2948)
- Rebuild with gcc 4.3.0

* Tue Aug 28 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.0-3
- Fix for x86_64 kernels >= 2.6.21. (bugzilla.xfce.org #3190)
- Update license tag

* Mon Apr 23 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.0-2
- Rebuild for Xfce 4.4.1

* Mon Jan 22 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.0-1
- Update to 0.5.0 on Xfce 4.4.

* Sat Nov 11 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.90.3-1
- Update to 0.4.90.3 on XFCE 4.3.99.2.

* Thu Oct 05 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.90.2-3
- Bump release for devel checkin.

* Wed Sep 13 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.90.2-2
- Rebuild for XFCE 4.3.99.1.
- BR perl(XML::Parser).

* Mon Sep 04 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.90.2-1
- Update to 0.4.90.2 on XFCE 4.3.90.2.

* Mon Sep 04 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.0-7
- Mass rebuild for Fedora Core 6.

* Tue Apr 11 2006 Christoph Wickert <fedora wickert at arcor de> - 0.3.0-6
- Require xfce4-panel.
- Change license back to LGPL (#173105).

* Wed Feb 15 2006 Christoph Wickert <fedora wickert at arcor de> - 0.3.0-5
- Rebuild for Fedora Extras 5.

* Fri Dec 30 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.0-4
- Add libxfcegui4-devel BuildReqs.
- Fix %%defattr.

* Sat Nov 19 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.0-3
- Use {?_smp_mflags}.
- Replace wrong BSD license with a copy of the GPL (#173105).

* Mon Nov 14 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.0-2
- Initial Fedora Extras version.
- Rebuild for XFCE 4.2.3.
- disable-static instead of removing .a files.

* Fri Sep 23 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.0-1.fc4.cw
- Update to 0.3.0.
- Add libxml2 BuildReqs.

* Sat Jul 09 2005 Christoph Wickert <fedora wickert at arcor de> - 0.2.0-1.fc4.cw
- Rebuild for Core 4.

* Wed Apr 13 2005 Christoph Wickert <fedora wickert at arcor de> - 0.2.0-1.fc3.cw
- Initial RPM release.
